/*
Autor:		Rafael Alberto Moreno Parra
URL:		http://www.geocities.com/krousky
Clase:		Inicializa.
Lenguaje:	C++

Propsito:
Inicializa las variables para la simulacin

Mtodos:

*/
class Inicializa {
public:

	struct stDatosSimul
	{
   		//Estos datos se leen de un archivo de inicializacin
		unsigned int iNumTanques; // Nmero de tanques que empiezan a jugar
		unsigned int iBloqueInstr; // Nmero de bloques de instruccion generados los cuales sern asociados a eventos del tanque
		unsigned int iTableroX; // Tamano en X del tablero
		unsigned int iTableroY; // Tamano en Y del tablero
		unsigned int iConstVida; // Con cuanta energa (vida) arranca cada tanque
		unsigned int iMaxCiclos; // Mximo nmero de instrucciones interpretadas
		signed int iLimReproduce; // Cuanta energa mnima debe tener el tanque para reproducirse
		bool bMutacion; //True muta hijo, false es un clon
	};  

	struct stDatosSimul stDatVA; //Datos Vida Artificial
	void vPantallaIni(void);
    int vLeeArchivoIni(void);
	void vInforme(void);

};
